<?php  //print_r($allData->busqueda->items);
$items = $allData->busqueda->items;
$lang = explode("-",$allData->busqueda->lang)[0];
echo '<p> Búsqueda = "'.$allData->busqueda->q.'"</p>';
if (empty($allData->busqueda->items)) {
    echo "<h4>No se encontraron resultados</h4>";
} else {
   foreach ($items as $item) {
            echo '<a href="?option=com_content&view=article&id='.$item->id.'&lang='.$lang.'#main"><h4>'.$item->title.'</h4></a>
            <p>'.$item->metadesc.'</p>';
        }
    }
 
//&Itemid=111&lang=es   ?option=com_content&view=article&id=1&Itemid=104&lang=es
 

?>